uses
  dbench,
  derror,
  dstream,
  dstreammem,
  dstreamfile,
  djson;

const
  FILENAME = 'map.json';

var
  Json: TJson;
  Time: Int64;
  I: LongInt;

begin
  Time := SystemTimer;
  for I := 0 to 1000 - 1 do begin
    if not ParseJson(FILENAME, Json) then begin
      Writeln('Failed to parse Json');
      Halt(1);
    end;
    Json.Done;
  end;
  Time := SystemTimer - Time;
  Writeln('Time: ', Time, 'ms');
end.
